function t=eexetable(x) 
global ETABLE

%EEXETABLE Exact values of E numbers
%
% 	T=EEXETABLE(X) extracts a y-by-n table 
%	of exact values for E numbers E(X,y,n)
%	from the global variable ETABLE

ymax=size(ETABLE,2);
nmax=size(ETABLE,3);
t=zeros(nmax,ymax);

for y=1:ymax
   for n=1:nmax
      if ETABLE(x,y,n).Exact
         t(n,y)=ETABLE(x,y,n).Eub;
      else
         t(n,y)=-1;
      end
   end
end









